• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

Consent Service

Server

The Consent Service offers the following services:

  • Create and authorize consents between the PSU and the TPP for use in the AIS services
  • Get status of consent and retrieve previously authorized consents

Create Consent

POST
https://api.openbankingplatform.com
/psd2/consent/v1/consents

Creates a consent resource defining access to specific accounts for a given PSU. If recurringIndicator is set to "true" and an existing recurring consent exists, it will expire once the new consent is authorised by the PSU.

Create Consent › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

X-AffiliatedASPSP-ID
​string

Some ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

X-Consent-Type
​string · enum

When a special consent type is needed.

Enum values:
sepaDirectDebit

Create Consent › Request Body

Content of the body of a consent request.
consents
​accountAccess · required

Requested access services for a consent.

recurringIndicator
​recurringIndicator · required

If "true", the consent is for recurring access to the account data. If "false", the consent is for one-off access to the account data.

Example: false
validUntil
​validUntil · date · required

The date until which the requested consent should be valid for. The content is the local ASPSP date in ISO Date Format, e.g. 2025-10-30. This parameter is requesting a valid until date for the requested consent.

Example: 2020-12-31
frequencyPerDay
​frequencyPerDay · min: 1 · required

The number of times per day the TPP may access the account data without PSU interaction. For one-off access, the attribute is set to "1". If not otherwise agreed bilaterally between the TPP and ASPSP, the frequency is less equal to 4.

Example: 4
combinedServiceIndicator
​boolean · required

If "true" indicates that a payment initiation service will be addressed in the same "session".

Example: false

Create Consent › Responses

Created

Body of the JSON response for a successful consent request.
consentsResponse-201
consentStatus
​consentStatus · enum · required

Overall lifecycle status of the consent. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
rejected
valid
revokedByPsu
expired
terminatedByTpp
partiallyAuthorised
consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

​_linksConsents · required

A list of hyperlinks to be recognised by the TPP.

Type of links admitted in this response (which might be extended by single ASPSPs as indicated in its XS2A documentation):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of an OAuth2 based Redirect Approach, the ASPSP is transmitting the link where the configuration of the OAuth2 Server is defined. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
  • 'startAuthorisationWithPsuIdentification': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
  • 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
  • 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element 'scaMethods'
  • 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
  • 'self': The link to the Establish Account Information Consent resource created by this request. This link can be used to retrieve the resource data.
  • 'status': The link to retrieve the status of the account information consent.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

message
​string · maxLength: 512

Text to be displayed to the PSU, e.g. in a Decoupled SCA Approach.

​tppMessage2XX[]
POST/psd2/consent/v1/consents
curl https://api.openbankingplatform.com/psd2/consent/v1/consents \ --request POST \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>' \ --data '{ "access": {}, "recurringIndicator": "true", "validUntil": "2099-12-31", "frequencyPerDay": "4" }'
Example Request Body
{ "access": {}, "recurringIndicator": "true", "validUntil": "2099-12-31", "frequencyPerDay": "4" }
json
Consent request on account list or without indication of accounts
application/json
Example Responses
{ "consentStatus": "received", "consentId": "1234-wertiq-983", "_links": { "scaRedirect": { "href": "https://www.testbank.com/authentication/1234-wertiq-983" }, "status": { "href": "/psd2/consent/v1/consents/1234-wertiq-983/status" }, "scaStatus": { "href": "/psd2/consent/v1/consents/1234-wertiq-983/authorisations/123auth567" } } }
json
Consent request Response in case of a redirect
application/json

Get Consent

GET
https://api.openbankingplatform.com
/psd2/consent/v1/consents/{consentId}

Returns the content of an account information consent object. This is returning the data for the TPP especially in cases, where the consent was directly managed between ASPSP and PSU e.g. in a re-direct SCA Approach.

Get Consent › path Parameters

consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

ID of the corresponding consent object as returned by an Account Information Consent Request.

Get Consent › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Consent › Responses

OK

Body of the JSON response for a successful get consent request.
consentInformationResponse-200_json
​accountAccess · required

Requested access services for a consent.

recurringIndicator
​recurringIndicator · required

If "true", the consent is for recurring access to the account data. If "false", the consent is for one-off access to the account data.

Example: false
validUntil
​validUntil · date · required

The date until which the requested consent should be valid for. The content is the local ASPSP date in ISO Date Format, e.g. 2025-10-30. This parameter is requesting a valid until date for the requested consent.

Example: 2020-12-31
frequencyPerDay
​frequencyPerDay · min: 1 · required

The number of times per day the TPP may access the account data without PSU interaction. For one-off access, the attribute is set to "1". If not otherwise agreed bilaterally between the TPP and ASPSP, the frequency is less equal to 4.

Example: 4
lastActionDate
​lastActionDate · date · required

This date is containing the date of the last action on the consent object either through the XS2A interface or the PSU/ASPSP interface having an impact on the status.

Example: 2018-07-01
consentStatus
​consentStatus · enum · required

Overall lifecycle status of the consent. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
rejected
valid
revokedByPsu
expired
terminatedByTpp
partiallyAuthorised
​_linksGetConsent

A list of hyperlinks to be recognised by the TPP.

Links of type "account" and/or "cardAccount", depending on the nature of the consent.

​tppMessage2XX[]
GET/psd2/consent/v1/consents/{consentId}
curl https://api.openbankingplatform.com/psd2/consent/v1/consents/:consentId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "access": { "balances": [ { "iban": "SE4550000000058398257466" } ], "transactions": [ { "iban": "SE4550000000058398257466" }, { "pan": "123456xxxxxx3457" } ] }, "recurringIndicator": "true", "validUntil": "2017-11-01", "frequencyPerDay": "4", "consentStatus": "valid", "_links": { "account": { "href": "/psd2/accountinformation/v1/accounts" } } }
json
Consent request on account list or without indication of accounts
application/json

Delete Consent

DELETE
https://api.openbankingplatform.com
/psd2/consent/v1/consents/{consentId}

The TPP can delete an account information consent object if needed.

Delete Consent › path Parameters

consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

ID of the corresponding consent object as returned by an Account Information Consent Request.

Delete Consent › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Delete Consent › Responses

No Content

No data returned
DELETE/psd2/consent/v1/consents/{consentId}
curl https://api.openbankingplatform.com/psd2/consent/v1/consents/:consentId \ --request DELETE \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Get Consent Status

GET
https://api.openbankingplatform.com
/psd2/consent/v1/consents/{consentId}/status

Read the status of an account information consent resource.

Get Consent Status › path Parameters

consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

ID of the corresponding consent object as returned by an Account Information Consent Request.

Get Consent Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Consent Status › Responses

OK

Body of the JSON response for a successful get status request for a consent.
consentStatusResponse-200
consentStatus
​consentStatus · enum · required

Overall lifecycle status of the consent. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
rejected
valid
revokedByPsu
expired
terminatedByTpp
partiallyAuthorised
​tppMessage2XX[]
GET/psd2/consent/v1/consents/{consentId}/status
curl https://api.openbankingplatform.com/psd2/consent/v1/consents/:consentId/status \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "consentStatus": "valid" }
json
Response for a consent status request.
application/json

Get Consent Authorisations

GET
https://api.openbankingplatform.com
/psd2/consent/v1/consents/{consentId}/authorisations

Return a list of all authorisation subresources IDs which have been created.

This function returns an array of hyperlinks to all generated authorisation sub-resources.

Get Consent Authorisations › path Parameters

consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

ID of the corresponding consent object as returned by an Account Information Consent Request.

Get Consent Authorisations › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Consent Authorisations › Responses

OK

An array of all authorisationIds
authorisations
authorisationIds
​authorisationId[] · required

An array of all authorisationIds

​tppMessage2XX[]
GET/psd2/consent/v1/consents/{consentId}/authorisations
curl https://api.openbankingplatform.com/psd2/consent/v1/consents/:consentId/authorisations \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "authorisationIds": [ "b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" ] }
json
application/json

Create Consent Authorisation

POST
https://api.openbankingplatform.com
/psd2/consent/v1/consents/{consentId}/authorisations

Initiates the authorisation process for a consent by creating an authorisation sub-resource, and providing a list of available SCA methods at the ASPSP.

Create Consent Authorisation › path Parameters

consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

ID of the corresponding consent object as returned by an Account Information Consent Request.

Create Consent Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Create Consent Authorisation › Responses

Created

Body of the JSON response for a Start SCA authorisation request.
startScaprocessResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
authorisationId
​authorisationId · required

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0
​_linksStartScaProcess · required

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'updatePsuIdentification': The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded.
    • 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
  • 'selectAuthenticationMethod': The link to the authorisation or cancellation authorisation sub-resource, where the selected authentication method needs to be uploaded. This link is contained under exactly the same conditions as the data element 'scaMethods'.
  • 'authoriseTransaction': The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
POST/psd2/consent/v1/consents/{consentId}/authorisations
curl https://api.openbankingplatform.com/psd2/consent/v1/consents/:consentId/authorisations \ --request POST \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "scaStatus": "received", "authorisationId": "b391be2a-5fa0-4da5-afa7-6778d7ca2dc0", "psuMessage": "Please use your BankApp for transaction Authorisation.", "_links": { "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/qwer3456tzui7890/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
application/json

Get Consent Authorisation SCA Status

GET
https://api.openbankingplatform.com
/psd2/consent/v1/consents/{consentId}/authorisations/{authorisationId}

This method returns the SCA status of a consent initiation's authorisation sub-resource.

Get Consent Authorisation SCA Status › path Parameters

consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

ID of the corresponding consent object as returned by an Account Information Consent Request.

authorisationId
​authorisationId · required

Resource identification of the related SCA.

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Get Consent Authorisation SCA Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Consent Authorisation SCA Status › Responses

OK

Body of the JSON response with SCA Status
scaStatusResponse
scaStatus
​scaStatus · enum

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​tppMessage2XX[]
GET/psd2/consent/v1/consents/{consentId}/authorisations/{authorisationId}
curl https://api.openbankingplatform.com/psd2/consent/v1/consents/:consentId/authorisations/:authorisationId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "scaStatus": "psuAuthenticated", "challengeData": { "image": "image", "data": [ "string" ], "imageLink": "imageLink", "otpMaxLength": 0, "otpFormat": "characters", "additionalInformation": "additionalInformation" }, "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ] }
json
application/json

Start Consent Authorisation

PUT
https://api.openbankingplatform.com
/psd2/consent/v1/consents/{consentId}/authorisations/{authorisationId}

Starts the authorisation resource for the consent, using the selection of an authentication method to initiate SCA.

Start Consent Authorisation › path Parameters

consentId
​consentId · required

ID of the corresponding consent object as returned by an Account Information Consent Request.

ID of the corresponding consent object as returned by an Account Information Consent Request.

authorisationId
​authorisationId · required

Resource identification of the related SCA.

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Start Consent Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Authoriser-ID
​string

ID provided by certain ASPSPs to uniquely identify the authorising PSU, e.g. a customer ID. Only relevant if supported by the ASPSP.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Start Consent Authorisation › Request Body

Content of the body of a Select PSU Authentication Method Request
selectPsuAuthenticationMethod
authenticationMethodId
​authenticationMethodId · maxLength: 35 · required

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID

Start Consent Authorisation › Responses

OK

Body of the JSON response for a successful select PSU Authentication Method request.
selectPsuAuthenticationMethodResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​_linksSelectPsuAuthenticationMethod

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Remark: This method can be applied before or after PSU identification. This leads to many possible hyperlink responses. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • "scaRedirect": In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • "scaOAuth": In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • "updatePsuIdentification": The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • "updatePsuAuthentication": The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded. "authoriseTransaction": The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS. "scaStatus": The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
PUT/psd2/consent/v1/consents/{consentId}/authorisations/{authorisationId}
curl https://api.openbankingplatform.com/psd2/consent/v1/consents/:consentId/authorisations/:authorisationId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>' \ --data '{ "authenticationMethodId": "mbid_animated_qr_token" }'
Example Request Body
{ "authenticationMethodId": "mbid_animated_qr_token" }
json
Select PSU Authentication Method request body for the mbid animated qr approach.
application/json
Example Responses
{ "scatransactionStatus": "psuIdentified", "psuMessage": "Please use your BankApp for transaction Authorisation.", "_links": { "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/qwer3456tzui7890/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
Response of an Update PSU Identification for a payment initiation request for the decoupled approach.
application/json

ASPSP Information ServiceAccount Information Service (AIS)